Package org.apache.tapestry5.internal.services.ajax

# Class AjaxResponseRendererImpl

java.lang.Object
org.apache.tapestry5.internal.services.ajax.AjaxResponseRendererImpl

All Implemented Interfaces:
  `AjaxResponseRenderer`

public class AjaxResponseRendererImpl extends Object implements AjaxResponseRenderer

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `AjaxResponseRendererImpl(PageRenderQueue queue, AjaxFormUpdateController ajaxFormUpdateController, TypeCoercer typeCoercer, JavaScriptSupport javaScriptSupport, RequestPageCache requestPageCache, Request request)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `AjaxResponseRenderer`
  `addCallback(Runnable callback)`
  Queues a callback to execute during the partial markup render.
  `AjaxResponseRenderer`
  `addCallback(JavaScriptCallback callback)`
  Queues a callback to execute during the partial markup render.
  `AjaxResponseRenderer`
  `addCallback(JSONCallback callback)`
  Queues a callback to execute during the partial markup render.
  `AjaxResponseRenderer`
  `addFilter(PartialMarkupRendererFilter filter)`
  Adds a rendering filter.
  `AjaxResponseRenderer`
  `addRender(String clientId, Object renderer)`
  Queues the renderer to render markup for the client-side element with the provided id.
  `AjaxResponseRenderer`
  `addRender(ClientBodyElement zone)`
  Queues an update to the zone, using the zone's body as the new content.
  `void`
  `setupPartial(String pageName)`
  Initializes partial response rendering by identifying the page "responsible" for the response.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### AjaxResponseRendererImpl

    public AjaxResponseRendererImpl(PageRenderQueue queue, AjaxFormUpdateController ajaxFormUpdateController, TypeCoercer typeCoercer, JavaScriptSupport javaScriptSupport, RequestPageCache requestPageCache, Request request)

- ## Method Details

  - ### addRender

    public AjaxResponseRenderer addRender(String clientId, Object renderer)
    Description copied from interface: `AjaxResponseRenderer`
    Queues the renderer to render markup for the client-side element with the provided id.
    Specified by:
      `addRender` in interface `AjaxResponseRenderer`
    Parameters:
      `clientId` - client id of zone to update with the content from the renderer
      `renderer` - a `Block`, `Component` or other object that can be coerced to `RenderCommand`.
    Returns:
      the renderer, for a fluid interface

  - ### addRender

    public AjaxResponseRenderer addRender(ClientBodyElement zone)
    Description copied from interface: `AjaxResponseRenderer`
    Queues an update to the zone, using the zone's body as the new content.
    Specified by:
      `addRender` in interface `AjaxResponseRenderer`
    Parameters:
      `zone` - the element that contains both a client id and a body (this is primarily used to represent a `Zone` component).
    Returns:
      this renderer, for a fluid interface

  - ### addCallback

    public AjaxResponseRenderer addCallback(JavaScriptCallback callback)
    Description copied from interface: `AjaxResponseRenderer`
    Queues a callback to execute during the partial markup render. The callback is added as a filter; the callback is invoked before the rest of the rendering pipeline is invoked.
    Specified by:
      `addCallback` in interface `AjaxResponseRenderer`
    Parameters:
      `callback` - object to be invoked
    Returns:
      this renderer, for a fluid interface

  - ### addCallback

    public AjaxResponseRenderer addCallback(Runnable callback)
    Description copied from interface: `AjaxResponseRenderer`
    Queues a callback to execute during the partial markup render. . The callback is added as a filter; the callback is invoked before the rest of the rendering pipeline is invoked.
    Specified by:
      `addCallback` in interface `AjaxResponseRenderer`
    Parameters:
      `callback` - object to be invoked
    Returns:
      this renderer, for a fluid interface

  - ### addFilter

    public AjaxResponseRenderer addFilter(PartialMarkupRendererFilter filter)
    Description copied from interface: `AjaxResponseRenderer`
    Adds a rendering filter. Dynamically added filters are only in place during the handling of the current request, and come after any filters contributed to the `PartialMarkupRenderer` service.
    Specified by:
      `addFilter` in interface `AjaxResponseRenderer`
    Returns:
      this renderer, for a fluid interface

  - ### addCallback

    public AjaxResponseRenderer addCallback(JSONCallback callback)
    Description copied from interface: `AjaxResponseRenderer`
    Queues a callback to execute during the partial markup render. The callback is added as a filter; the callback is invoked before the rest of the rendering pipeline is invoked.
    Specified by:
      `addCallback` in interface `AjaxResponseRenderer`
    Parameters:
      `callback` - object o be invoked
    Returns:
      this renderer, for a fluid interface

  - ### setupPartial

    public void setupPartial(String pageName)
    Description copied from interface: `AjaxResponseRenderer`
    Initializes partial response rendering by identifying the page "responsible" for the response. This is mostly used for selecting the character set for the response.
    Specified by:
      `setupPartial` in interface `AjaxResponseRenderer`
    Parameters:
      `pageName` - identifies page to render